Subject: Re: Scripting Installs?
From: "Robert Collins" <[email-masked]>
To: "Wayne Willcox" <[email-masked]>, "Randall R Schulz" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 31 Jan 2002 01:23:38 +1100

===
----- Original Message -----
From: "wayne" <[email-masked]>

> By the way I do write tools using some of cygwin and I am regularly
> asked if there is someway  to just point and click to install
> just what they need.  They don't know exactly what my tools require
> so they can't select just the parts required.  Now I can and do
> tell them but it would be easier for me and them if there was a way
for
> me to ease their install efforts.  This would go a long way to
> convincing my company to migrate.

Here's how:
Use the latest setup.exe snapshot, or the setup.exe being released
real-soon-now.
Create a setup.ini on a local web server describing your software. Read
http://www.cygwin.com/setup.html. Add the appropriate requires: line to
your local setup, which will drag in the needed packages from the normal
cygwin mirror sites.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/